<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 14</title>
	<style type="text/css">
	main{
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
		font-weight: bold;
		font-size: small;
		margin-top: 80px;
		margin-left: 30px;
	}

	input{
		width: 240px;
		height: 60px;
		background-color: silver;
		border-radius: 5px;
		border: 0;
		padding-left: 16px;
		margin: 0px 10px;
	}
	
	div{
		margin-top: 20px;
	}

	</style>
	<script type="text/javascript">
		
	//crear una función que le pasas n números (como un array) y te devuelve la suma de todos ellos

		window.addEventListener("load",function(e){

			//let n = Math.floor((Math.random() * 10) + 1);
			let numeros = [5,5,5,5,5]; 
				console.log(numeros);

			let suma = numeros.reduce(function(a,b){return a+b});

			document.querySelector("#resultado").value = suma;


			//opcion 2

			let n = Math.floor((Math.random() * 10) + 1);
			let numeros2 = new Array(n);

			for (let i=0; i<numeros2.length; i++) {

				numeros2[i]=Math.floor((Math.random() * 10) + 1);
			}

			let sumatotal = 0;

				for(let i=0; i<numeros2.length; i++) {

					sumatotal += numeros2[i];
				}

			document.querySelector("#resultado2").value = sumatotal;

			console.log(numeros2);

		});


	</script>
</head>
<body>
	<main>
		<div>
			<input id="resultado" type="text" name="resultado"/>
		</div>
		<div>
			<input id="resultado2" type="text" name="resultado2"/>
		</div>
	</main>
</body>
</html>